=== debian/control ===
Source: ros-indigo-sr-mechanism-model
Section: misc
Priority: extra
Maintainer: Shadow Robot's software team <software@shadowrobot.com>
Build-Depends: debhelper (>= 9.0.0), libtinyxml-dev, ros-indigo-catkin, ros-indigo-cmake-modules, ros-indigo-ros-ethercat-model, ros-indigo-roscpp, ros-indigo-sr-hardware-interface
Homepage: http://ros.org/wiki/sr_mechanism_model
Standards-Version: 3.9.2

Package: ros-indigo-sr-mechanism-model
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libtinyxml-dev, ros-indigo-ros-ethercat-model, ros-indigo-roscpp, ros-indigo-sr-hardware-interface
Description: sr_mechanism_model contains the transmissions used in the robot model. We needed specific transmission as we're using our own actuator. We also needed to take care of the joint 0s which combine the distal and middle phalanges.
